BITSER RELEASE NOTES
--------------------

IMPORTANT
---------

If prompted to close 'Windows Explorer' during install select "Do not close application" and click OK
If installation fails for any reason try uninstall and reinstalling Bitser


30-MAR-2014 Version 1.0
-----------------------

- Version 1.0 Released! (removed 2 year timeout that was on all beta versions)
- Added search function to password manager
- Added translation - Hungarian
- Added translation - German (Beta - still testing)
- Added translation - Bulgarian (Beta - still testing)
- Added the column widths in the manage tab to settings that are saved when Bitser is closed.
- Fixed bug where Bitser failed to associate with a file extensions even after applying it from the options tab
- Changed and improved the way Bitser handles file extension associations in the options tab
- Changed and updated some translations.

08-MAR-2014
-----------

- Added new main progress window with many new features including hibernate, view files, pin window etc.
- Added new progress window for explorer context menu actions with progress and logs all in the same window.
- Added full text translation to the new progress window for non-English languages.
- Added new right click context menu to archive root node to view properties, folder and change Character encoding.
- Added new "Properties" button to archive Info window to view archive file Properties.
- Added ability to change destination folder When creating multiple separate archives from explorer context menu.
- Added right click menu to archive node to support working with archives using UTF-8, Windows or DOS encoding.
- Added warning and errors received during archive jobs to main report.
- Fixed checkbox drawing bug on file and folder selection window in create tab on Windows XP.
- Fixed bug in built in explorer not showing hidden items when adding files and folders.
- Fixed issue which prevented mouse cursor from being used until Drag and drop operation complete.
- Fixed bug which caused archives containing filenames with paths greater than 260 characters not to open.
- Fixed bug in Custom Parameters not being applied correctly when creating archives.
- Fixed bug in reports not showing compression ratios for extract jobs. 
- Fixed many minor bugs and improved overall performance. Large Archives with lots of files open faster.
- Changed created archives to always use utf-8 for non-ascii characters(-mcu) when created/updated in UTF-8 mode.
- Changed recently open archives list from 6 to 10 files.
- Changed drag and drop code to improve performance on windows 7 and above.
- Changed Windows admin shield icons and alternate tab icon set.
- Changed and updated built-in file and folder browsers.
- Changed and updated some translations.

04-SEP-2013
-----------

- Added - Recently opened files in the archive dropdown menu now have icons.
- Fixed - Some folders within archives were not displaying their modified date.
- Fixed - Opening files from archives with a "." in the path would not open correctly.
- Fixed - Compression Ratio % was not being calculated in file view.
- Fixed - Help file would take a long time to load if offline.
- Fixed - Profile settings no longer lost when upgrading versions (starting from last version).
- Fixed - Minor fixes, changes and code optimisations.
- Changed - Improved Bitser startup speed when opening archive file from Explorer, Outlook etc.
- Changed - Main Bitser app icon and setup image have been updated.
- Changed - Improved speed of folder browsing within archive.

25-AUG-2013
-----------

- Added - Bitser files are now signed by a Verisign digital certificate to prove identity and integrity. 
- Added - Some improved icons for start menu and admin functions. Improved icon appearance in Windows 8
- Fixed - Crashing when opening some zip files on Windows XP.
- Fixed - Folder view of archive did not always refresh correctly after deleting items on Windows XP
- Fixed - Some bzip2, xz, rpm and z files would not open or extract correctly
- Fixed - 7zip was not always closed correctly when reading large files
- Fixed - Minor fixes, changes and code optimisations

06-JUN-2013
-----------

- Added - New French Translation
- Added - New Portuguese Translation
- Added - New Swedish Translation
- Added - New Danish Translation
- Added - Improved progress indicators when opening all archives.
- Added - Improved performance and reduced memory usage when opening archives, especially those with millions of files.
- Fixed - Uninstalling Bitser prompted to close explorer which if selected caused desktop gui to crash (no icons/taskbar).
- Fixed - The above issue will still occur when uninstalling older versions. If prompted select "Do not close application"
- Fixed - Couldnt open some Linux archives with "." in the folder path such as rpm and tar 
- Fixed - Pressing the "enter" key when creating archives from Bitsers context menu is now the same as clicking "OK".
- Fixed - Updated Folder and file explorers to resolve a number of bugs
- Fixed - Many fixes, changes and code optimisations
- Changed - Reverted Bitsers main form back to 32bit until slow startup issues are resolved. Archiving functions still remain 64bit 
- Changed - Updated icons used in Bitser start menu
- Changed - Updated Spanish and Italian Translations
- Changed - Improved translation system
- Changed - Updated manual with Profile info

08-JAN-2013
-----------

- Fixed - Bitser was failing to prevent computer hibernating during backup.
- Fixed - Minor fixes, changes and code optimisations

23-DEC-2012 
-----------

- Added - Additional text translations for some components
- Added - Updated icons for Bitser and password files (.bpw)
- Fixed - Bitser would hang on Windows 8 if you tried to open an encrypted file
- Fixed - Password Manager ctrl+c in editmode would copy the entire row not the selected text
- Fixed - Password manager would not prompt to save current changes when opening or starting a new password file.
- Fixed - Minor fixes, changes and code optimisations
- Changed - Allow resizing of columns in password manager including autosizing
- Changed - Double clicking cells in password manager copies more quickly to the clipboard
- Changed - 'check for updates' in help menu takes u to the download page. Version check was failing with proxy.
- Changed - Updated Bitser manual

25-JUL-2012 
-----------

- Added - Prevent windows from hibernating if backup or other tasks havent finished.
- Added - Automatically detect regional settings during installation and set language if available
- Fixed - Installing Bitser on computer with non-english adminstrators group name failed
- Fixed - Installing Bitser on non-english computer could return error codes instead of messages

23-JUN-2012
-----------

- Added - "Extract selected items" option to right click context menu in (listview window)
- Added - .zipx .cbr and .cbz to list of supported formats
- Added - Check for updates from the main menu
- Fixed - Detect if opening setup.exe from archive for new version of Bitser and close main form.
- Fixed - Calculate folder size context menu option now shows folders sorted alphabetically
- Fixed - All items processed via the context menu should now appear alphabetically
- Fixed - Minor fixes, changes and code optimisations

05-MAY-2012 
-----------

- Changed - Removed OK prompt after creating archive
- Fixed - Archive filenames with uppercase extension caused context menu to fail (eg ".ZIP")	

15-JAN-2012 
-----------

- Added - Completely integrated Bitser's cascading context menu into Windows explorer
- Added - Calculate folder sizes of all selected folders from Bitser's context menu
- Added - Find and delete empty subfolders from Bitser's context menu
- Added - Restore .zip association to windows default when Bitser is uninstalled
- Changed - Show all archives in the source pane without having to press F5 when archive is opened
- Fixed - Double clicking "Notes" field in password manager didn’t copy cell data to clipboard
- Fixed - Changing settings profile could cause checkboxes to be out of sync in file pane
- Fixed - Minor fixes, changes and code optimisations

01-MAY-2011 
------------

- Fixed - Minor fixes, changes and code optimisations

23-APR-2011 
-----------

- Added - Double clicking a URL in the password manager automatically opens the link in your web browser.
- Fixed - Trying to save changes in the password manager when a cell was empty caused an error. 
- Fixed - Couldn’t open archives over a network using the UNC path.
- Fixed - Minor fixes, changes and code optimisations
			
18-MAR-2011 
-----------
- Added - Archive Type to archive information window
- Fixed - Couldn’t open archive if the archive filename contained the word error
- Fixed - Open archive dialog box didn’t have option to show all file types

06-MAR-2011 
-----------

- Added - Updated the underlying 7zip files used by Bitser to the latest version 9.20 
- Added - Solid .7z files can now be updated
- Added - Archives created using LZMA2, PPMd can now be extracted
- Added - VHD, XZ, NTFS, FAT, MBR, SquashFS, CramFS, APM, MSLZ can now be extracted
- Changed - Archives are no longer filtered when browsing in the Manage tab. All files are shown.
- Fixed - Minor fixes, changes and code optimisations

20-DEC-2010 
-----------

- Added - Option to abort during the loading of a large archive by pressing escape key
- Added - Column order in archive listview is now remembered when bitser is restarted
- Added - Progress window when creating or extracting multiple archives from explorer context menu
- Changed - Migrated to .Net version 4
- Changed - Reduced download size of .Net if not already installed on system
- Changed - Removed dependence on fastexplorer.dll. Created bitser context menu for explorer.
- Fixed - Changing context menu or extension associations would return error if UAC disabled and user was not administrator
- Fixed - Unlimited number of files and folders can now be selected when using the context menu in explorer
- Fixed - File type not showing in correct language in archive listview
- Fixed - Changing language could cause Bitser to crash.
- Fixed - Minor fixes, changes and code optimisations

10-JUL-2010 
-----------

- Added - Profiles for saving archive settings and selections
- Added - Full 64-bit compatibility. Improved performance on 64-bit systems
- Added - Italian translation
- Changed - Improved code for drag and drop
- Changed - Fonts identical for all windows
- Fixed - Bitser could stop responding when deleting temporary files
- Fixed - Incorrect text shown when deleting temporary files
- Fixed - Minor fixes, changes and code optimisations

02-May-2010 
-----------

- Fixed - Browsing folders with very large zip files could cause bitser to stop responding
- Fixed - Taskbar icon in Vista/Windows 7 was shown in low resolution
- Fixed - Minor fixes, changes and code optimisations


01-Mar-2010 
-----------

- Added - Recently opened archives list to the manage tab
- Added - Compression percentage graphic to the archives information tab (similar to WinRAR)
- Changedd - Simplified the layout of the Manage tab to create more space 
- Fixed - Message prompts would sometimes fail to be shown as the top most window 
- Fixed - Selecting 'New Folder' in the extract dialog and pressing 'enter' wouldn’t extract to the new folder
- Fixed - Minor fixes, changes and code optimisations


16-Feb-2010 
-----------

- Added - Spanish translation
- Fixed - Could not extract some archives which had folder names of zero length 
- Fixed - Offline Help slow when no internet connection available
- Fixed - Minor fixes, changes and code optimisations


19-Jan-2010 
-----------

- Added - Language translation system to allow Bitser to be translated into any language
- Added - Master Password change option to password manager
- Added - Minimise button to checksum window
- Changedd - Improved handling of updates to existing files via the 'create tab'
- Fixed - Updates to existing archives were incorrectly reporting a disk space error.
- Fixed - Reports were not showing split archives correctly
- Fixed - Minor fixes, changes and code optimisations


23-Dec-2009 
-----------

- Added - Manual is now complete and accessible via the help menu.
- Added - New icon images for the main tabs
- Added - Random password generator to password manager
- Added - Prompt to save passwords on exit
- Fixed - Opening and modifying files within an archive would not always prompt to update archive.
- Fixed - Deleting password entries from password manager could corrupt password file.
- Fixed - When opening a password file from explorer the last used password file would also try to open.  
- Fixed - Not all temp working files were deleted on exit.
- Fixed - Custom parameters with a leading space being ignored when creating archive.
- Fixed - Closing certain archives resulted in incorrect prompt regarding open files.
- Fixed - Modifying and updating an archive file sometimes resulted in current archive being deselected.
- Fixed - The horizontal scrollbar in the reports table sometimes disabled.
- Fixed - The help menu was being shown off screen when using dual monitors.
- Fixed - Minor fixes, changes and code optimisations


09-Nov-2009 
-----------

- Added - Drag and drop directly into any folder shown in the archives folder pane.
- Changed - Show hidden files or folders is now synchronised with users windows explorer setting.
- Fixed - Bitser Context Menu was not working in 64-bit versions of Windows (can now add using options tab)
- Fixed - Clicking 'show passwords' while editing a password would not show the password being edited
- Fixed - Minor fixes, changes and code optimisations


27-Oct-2009 
-----------

- Added - Password manager to store multiple passwords in AES encrypted file.
- Added - SHA-256 to the list of checksums that can be calculated.
- Added - Option to disable archive reporting function
- Changed - Improved application startup time.
- Changed - Improved performance when creating archive and checking items.
- Changed - Disabled Bitser application errors from being recorded in the windows eventlog
- Changed - Folders selected when calculating md5 and sha checksums from the context menu are now ignored
- Changed - Optimised code for handling application options
- Changed - Reports sorted by date
- Changed - General code optimisation and minor bug fixes


29-Sep-2009 
-----------

- Added - Ability to calculate MD5 and SHA-1 checksums to verify file integrity
- Added - when viewing reports the associated archive can be opened either from the toolbar or dbl click.
- Fixed - Minor fixes, changes and code optimisations


15-Sep-2009 
-----------

- Changed - Moved Extract options onto extract form.
- Fixed - Reports unavailable when running on 64bit Windows
- Fixed - Disassociating Bitser from non-zip extensions resulted in association with "CompressedFolder"
- Fixed - When trying to open some unsupported archives password prompt would appear
- Fixed - Unable to open Bzip2 file
- Fixed - Minor fixes, changes and code optimisations


08-Jul-2009 
-----------

- Changed - Improved performance when opening and browsing archives
- Changed - Column sort order is maintained when browsing/editing archive's files
- Changed - Archive is not completely reloaded if delete operation cancelled
- Changed - Archive extension shown when viewing archives
- Fixed - Main window unresponsive when dragging a large number of files into an archive
- Fixed - Drag and drop drag content image removed (slow and not always shown correctly)
- Fixed - Minor fixes, changes and code optimisations


10-Jun-2009 
------------

- Added - Open, Add and extract buttons to toolbar when managing archives in full view
- Added - Drag and drop from folder pane
- Added - Drag and drop shows contents while dragging
- Added - Alternate set of tab icons 
- Added - additional context menu item when extracting multiple archives
- Changedd - Allowed drag and drop whilst in flat view
- Changedd - Improved startup speed
- Changedd - Improved speed of file size calculations when creating archive
- Changedd - Offset main window position when opening multiple instances
- Changedd - Selecting multiple items from within archive with the mouse is now easier
- Changedd - Improved drag and drop when working with files or archives on network drives
- Fixed - When explorer's show file extensions was disabled, file/folders selected for archiving with the same name caused incorrect selections
- Fixed - File and folder sizes calculations more accurate when creating archives 
- Fixed - Context menu extract all to another folder was extracting the first selected archive twice, causing overwrite prompts
- Fixed - Minor fixes, changes and code optimisations


06-May-2009 
-----------

- Added - Select and Extract multiple archives from Explorer (context menu)
- Added - Select and Create multiple archives from Explorer with full config (context menu)
- Added - Drag and drop from Bitser to desktop/explorer
- Added - Password prompt detects/accepts return key
- Changedd - Compression Ratio percentage definition: compressed size / uncompressed size (ie Cmp Ratio 4:1 = 25%)
- Fixed - Extracting encrypted archive would not prompt for password
- Fixed - Extract report data mixing into other reports
- Fixed - Show password checkbox when creating archive not working


23-Apr-2009 
-------------

- Added - Option to convert existing archives to a new format or config
- Added - Option to create archives from Explorer with full control over config
- Added - Type column to List view of archived files
- Added - Encrypted item to reports
- Changedd - main window layout to increase viewing area
- Fixed - Dragging and dropping files when folder not selected caused corruption.
- Fixed - Dragging and dropping files causing intermittent errors
- Fixed - Progress window flickering in Vista when first shown
- Fixed - Duplicate password prompts still occurring on some actions
- Fixed - Logging in as a different user causing prompt for reinstall and request for source files
- Fixed - Not all supported archives were listing contents correctly when 'Show all' selected
- Fixed - Sorting archived files by name in listview mixing files and folders together
- Fixed - Some images not opening correctly from archive in default viewer
- Fixed - Selecting large archive(20gb+) in Vista causing Bitser to hang
- Fixed - Pressing escape key to cancel long running task caused bitser to stop functioning
- Fixed - removed "Open" option from job dialog window when archive not created
- Fixed - Archive Info showing blank size when archive less than 1mb in size
- Fixed - 7zip Solid archive warning showing on wrong update mode
- Fixed - Report list horizontal scroll bar being disabled
- Fixed - Destination Folder not remembered after using Explorer for drag and drop
- Fixed - Non-admin user in XP changing extension assoc. or context menu receiving incorrect error msg.
- Minor Bug fixes, changes and code optimisations


7-March-2009 
------------

- Added option to show/hide 'Extract To' Folderview pane 
- Added option to always prompt for destination when extracting
- Added Percentage of files encrypted to archive information
- Improved functions that interact with the archives
- Improved compatibility for PCs using non-English regional settings
- Improved loading speed of archives
- Improved handling of drag and drop
- Removed duplicate password prompting when archive encrypted
- Removed option to delete extracted files if extract job is cancelled
- Added option to always set 'My Computer' as Extract-To startup folder
- Added archives filename to main window title when open (visible in taskbar)
- Changedd most prompts to be centred on main window
- Cleaned up Options tab layout
- Cleaned up report layout
- Fixed - Disk space required to complete update jobs 
- Fixed - Reports not being produced for all regional settings 
- Fixed - Options allowed non-valid directory to be selected as working folder
- Fixed - Small variance in Job start time & throughput in progress window and reports
- Fixed - Incorrect archive being re-opened after adding, deleting or encrypting archives
- Fixed - Reports showing incorrect compression percentage on multi drive jobs
- Minor Bug fixes, changes and code optimisations


18-FEB-2009 
-----------

- Added option to convert archive into encrypted archive
- Added option to delete extracted files if extract job is cancelled
- Improved speed of flat file view when selecting an archive
- Fixed - Extract Job, calculation of disk space required incorrect
- Fixed - Opening same archive caused prompt re files open from archive
- Fixed - Opening archive from job details window failed on split archives
- Fixed - Unable to re-enter password when updating a previously modified archive
- Fixed - Context Menu - showing incorrect extract to when folder existed
- Fixed - Context Menu - Filenames with spaces not opening correctly
- Fixed - Context Menu - Flickering on screen when open and closed
- Changedd method of determining temporary working path when creating archives
- Improved clean-up of temporary working folders
- Set Create tab root folder to 'my computer'
- Selected folder is now remembered when going into drag drop view mode
- Added F5 to refresh open archive when working in 'Manage tab'
- Trialling some graphics on the tabs
- Cleaned up message prompt text layouts in Vista
- Added jobs solid mode setting to reports
- Minor Bug fixes, changes and code optimisations


10-FEB-2009 
-----------

- Added File view pane option to improve drag and drop function
- Changedd the way in which archives are selected and modified
- Added option to specify mode for drag and drop
- Exe and 7z archives can now be added to if solid
- Set Extract panel to automatically resize itself
- Fixed - Size calculations not registering when selecting certain file or folders
- Fixed - Error caused when dragging and dropping files when no archive open
- Fixed - Uninstall from start menu failed
- Fixed - Event log source not added during install
- Fixed - Arithmetic overflow error
- Fixed - Archives split by size and not by drive failing
- Fixed - Create tab - File/Folder checkboxes not always in sync
- Fixed - Context menu only detecting lowercase filenames
- Improved handling of passwords in protected archives
- Updated Help Tool Tips
- Many minor bug fixes and code optimisations


5-FEB-2009 
----------

- Added option to hibernate PC after archive is created
- Added option to create separate archives when selecting multiple files or folders
- Added option to create and save an archive into any folder from explorer
- Added Option to create Self extracting archives (exe) 
- Changedd the way in which archive destination selections are handled
- Changedd format of Ratio in reports to 2 decimal places
- Update 7zip to version 4.65
- Changedd menu font to match main tabs
- Fixed bug where editing and saving an encrypted file would lose its encryption 
- Fixed bug where incorrect password was being accepted as correct
- Changedd encryption indicator icon overlay
- Changedd the way temporary working folder selected when when viewing files within archive


16-JAN-2009 
-----------

1. First Release
